<h2>Login</h2>

<?php 
    session_start();

    // Includo file funzioni
    include 'funzioni.php';

    // Controllo è richiesto di fare il logout
    if (isset($_POST['do_login'])) {
        // Controllo se la sessione esiste
        if (isset($_SESSION['auth_username'])) {
            echo "<p>Non sei autenticato!<br><a href=\"javascript:window.history.back();\">Torna indietro</a></p>";
        }
    }

    // Controllo se la sessione esiste
    if (isset($_SESSION['auth_username'])) {
        echo "<p>Sei attualmente autenticato come <strong>{$_SESSION['auth_username']}</strong></p>";
    } else {
        // Variabile di controllo
        $show_login = true;

        // Controllo è richiesto di fare il login
        if (isset($_POST['do_login'])) {
            // Controllo se le credenziali sono valide tramite la funzione apposita
            if (fn_auth_login($_POST['username'], $_POST['password'])) {

                // Imposto la variabile di sessione. Importante!
                $_SESSION['auth_username'] = $_POST['username'];

                $show_login = false;
                echo "<p style=\"color: #248f24\">Login effettuato con successo!</p>";
                echo "<p><a href=\"area_protetta.php\">Vai all'area protetta</a>";
            } else {
                echo "<p style=\"color: #cc0000\">Login fallito. Ricontrolla le credenziali!</p>";
            }
        }

        if ($show_login) {
            // Mostro il form di login 
            ?>

            <form method="POST">
                Username: <input type="text" name="username" placeholder="Username" required><br>
                Password: <input type="password" name="password" placeholder="Password" required><br>
                <input type="submit" value="Login" name="do_login">
            </form>

            <p><em>Psst: prova con "user" e "pass"</em></p>
            <?php
        
        }
    }
        
?>

<p><a href="index.php">Torna alla pagina principale</a></p>